import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { createAsyncThunk } from "@reduxjs/toolkit";

export const provinceDispenserEditService = createAsyncThunk(
  "PROVINCE_EDIT_DISPENSER_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.put(
        "kill_house_free_sale_bar/0/",
        d
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
